Bug 1448098 - Ansible Playbook repo's do not load playbooks after editing
Summary: Ansible Playbook repo's do not load playbooks after editing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: James Wong
QA Contact: Shveta
URL:
Whiteboard: ansible
Depends On: 1445995
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 14:01 UTC by Satoe Imaishi
Modified: 2017-05-31 15:09 UTC (History)
13 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1445995
Environment:
Last Closed: 2017-05-31 15:09:03 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-04 14:11:21 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4cd3f1426f21580cfb6a37b9435efb4773de9848

commit 4cd3f1426f21580cfb6a37b9435efb4773de9848
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu May 4 09:38:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 10:09:38 2017 -0400

    Merge pull request #14954 from jameswnl/project-target-refresh
    
    Tower CUD to invoke targeted refresh
    (cherry picked from commit edd5c1b26c9072807cc04f63219306dda856b44e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448098

 .../configuration_script_source.rb                 | 22 +++++++++++++---------
 .../shared/automation_manager/tower_api.rb         | 13 +++++++------
 .../configuration_script_source.rb                 | 12 ++++++++----
 .../automation_manager/credential.rb               |  2 +-
 4 files changed, 29 insertions(+), 20 deletions(-)

Comment 3 CFME Bot 2017-05-04 14:13:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c8afdc762d7dda4e0cf4f708c07e985f7c08c848

commit c8afdc762d7dda4e0cf4f708c07e985f7c08c848
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu May 4 06:40:12 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 10:11:34 2017 -0400

    Merge pull request #1230 from lgalis/use_only_repository_properties_in_model_on_edit
    
    Use properties in the model when retrieving the ansible repo for editing
    (cherry picked from commit 5bc21d4ea0e07ed4e06b0d7bdad14fb8f64606db)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448098

 .../controllers/ansible_repository/repository_form_controller.js    | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 4 CFME Bot 2017-05-09 12:41:15 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/647e49c22715dd11a53011de281f27e0be5f0ba0

commit 647e49c22715dd11a53011de281f27e0be5f0ba0
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon May 8 17:26:49 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 9 08:36:21 2017 -0400

    Merge pull request #15025 from jameswnl/avoid-target-refresh
    
    Tower CUD check and run refresh_in_provider followed by refreshing manager
    (cherry picked from commit 2b14633149392a51c11490555f5f2ecb27bd5794)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448098

 .../providers/ansible_tower/shared/automation_manager/tower_api.rb   | 5 ++++-
 .../ansible_shared/automation_manager/configuration_script_source.rb | 3 ++-
 2 files changed, 6 insertions(+), 2 deletions(-)

Comment 5 Shveta 2017-05-11 05:31:51 UTC
Fixed in  5.8.0.14-rc3.20170509175238_5dbf87a

Comment 7 errata-xmlrpc 2017-05-31 15:09:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.